var {lang} = require("./sys.js");
var settings = require('./settings.js');
var {SYS} = settings;

// Tray Settings
module.exports = {
    init: function (xTray, xMainWindow,  xEvents) {
        if (!xTray) return console.log("no tray-mode")
        const {app, Menu, MenuItem, Tray} = require('electron');

        var zTrayContextMenu = new Menu();

        zTrayContextMenu.append(new MenuItem({
            label: lang('Open')+" (CTRL+ALT+O)",
            type: 'normal',
            click: xEvents["openMain"]
        }));
        zTrayContextMenu.append(new MenuItem({label: '', type: 'separator'}));

        /*zTrayContextMenu.append(new MenuItem({label: lang('Help'), type: 'submenu', submenu: menuTray}));
        zTrayContextMenu.append(new MenuItem({label: '', type: 'separator'}));*/

        zTrayContextMenu.append(new MenuItem({label: lang('Quit'), type: 'normal', click: xEvents["quitApp"]}));

        xTray.setToolTip(SYS.name + " V" + SYS.ver);


        xTray.on("click", function () {

            if (!xMainWindow.isVisible()) {
                xMainWindow.show();
            } else {
                xMainWindow.hide();
            }


            zTrayContextMenu.closePopup(xMainWindow);
        });

        xTray.setContextMenu(zTrayContextMenu);
    },

}